<template>
  <div class="error-alert" v-show="show">
    <div class="w-full bg-red-600 rounded p-2">
      <div class="close float-right" @click="show=!show">
        <font-awesome-icon
            icon="times"
            class="text-black"
        ></font-awesome-icon>
      </div>
      <h2 class="font-bold underline">Errors:</h2>
      <ul class="list-disc pl-5">
        <li v-for="error in errors" :key="error">{{error}}</li>
      </ul>
    </div>
  </div>
</template>

<script>
  export default {
    name: "ErrorAlert",
    props: {
      errors: Array,
      show: Boolean
    },
    data() {
      return {

      }
    }
  }
</script>